import { Usage } from './Usage';
import { ICommand } from '../interfaces';
/**
 * The command with name, description and usage, if they exist
 */
declare class Command implements ICommand {
    /**
     * The command name
     * @type {string}
     */
    command: string | undefined;
    /**
     * The command description
     * @type {?string | undefined}
     */
    description?: string | undefined;
    /**
     * The commands usage
     * @type {?Usage | undefined}
     */
    usage?: Usage | undefined;
    /**
     * @constructor
     */
    constructor();
}
export { Command };
