import { Section } from './Section';
import { IUsage } from '../interfaces';
/**
 * The Usage is a Object which contains Section of doc
 */
export declare class Usage implements IUsage {
    /**
     * Array of Section object
     * @type {Section[]}
     */
    sections: Section[];
    /**
     * Global delimiter of usage's doc
     * @type {?string | undefined}
     */
    delimiter?: string | undefined;
    /**
     * Examples of usage
     * @type {?string[] | undefined}
     */
    examples?: string[] | undefined;
    constructor(sections: Section[]);
}
